Kerbal Space Program - Bug #13223

Game Crash on rendezvous around Kerbin
11/12/2016 12:39 PM - Warezcrawler

Status: Closed Start date: 11/12/2016
Severity: Normal % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 1.21 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

My game is modded.

KSP version 1.2.1

Windows 7

When | try to rendezvous around Kerbin, my game crashes. | come within 100m of my target space station, and then the game
crashes. | cannot find relevant exceptions in my KSP log, which | normally use to look for the guilty mod (I usually assume it is a mod
and not KSP). | hope you can get useful information out of the crash reports I've attached.

| can do normal rendezvous apollo style on the mun and minmus with no issue.

This is my first space station in 1.2.1. | did the rendezvous 2 times, and the game crashed pretty much the same place.

I have not been haunted by crashes since KSP version 1.0.2.

History

#1 - 11/13/2016 07:46 PM - WKibbous

This is happening to me quite often on Linux X64 as well- most rescues end up with a crash when | first switch to the scrap vessel- sometimes there
is a slight delay, you can switch and the crash happens after rotating the view. One odd thing | noticed is that a kerbal in the 2.5m lander can had an
option to xfer, but there was no other part to xfer to. Other crashes have happened in single crew parts however. Currently after | park next to a scrap
I turn on the lights, F5, then hit ]- if | do get a crash restarting and going back to the parked vessel doesn't result in a second crash. However, if | go to
another scrap in the same mission I've crashed again, restarting KSP allows me to resume normally. Currently highlightFX in flight is off.

Edit 11/14: disabled both highlight buttons in settings and did a 4X rescue in LKO with no issues.

#2 -11/17/2016 07:18 PM - Warezcrawler

| found a comment about "Higlight FX" setting. That might be the issue. | have at least not crashed since | turned that of.

#3 - 01/29/2017 06:44 PM - Warezcrawler

You can close this issue. It was solved for 1.2.2.

#4 - 08/13/2019 03:10 PM - Robert.Keech
- Status changed from New to Updated
- % Done changed from 0 to 10

Issue no longer occurs

#5 - 08/13/2019 03:10 PM - Robert.Keech
- Status changed from Updated to Resolved
- % Done changed from 10 to 100

#6 - 08/16/2019 04:21 PM - chris.fulton

- Status changed from Resolved to Closed
